/* Useful constants.
 *
 * PegSoft miscellaneous library (c) 2004 PegSoft
 * Contact us at pegsoft@pegsoft.net
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this software (the COPYING file); if not, write to the
 * Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139,
 * USA.
 *
 */

/** 
 * \file misc/constants.h
 * \brief Useful constants.
 */

#ifndef MISC_CONSTANTS_H
#define MISC_CONSTANTS_H

/*************************************************************************/

namespace misc
{

/*************************************************************************/

/* DNS-related constants */

/// Maximum length for a domain name.
size_t const DOMAIN_MAX = 255;
/// Maximum length for labels of a domain name.
size_t const LABEL_MAX  = 63;

/*************************************************************************/

} /* namespace misc */

/*************************************************************************/

#endif /* MISC_CONSTANTS_H */
